/*
** Apple Macintosh Developer Technical Support
**
** File:		Start.c
** Written by:	Eric Soldan
**
** Copyright  1989-1993 Apple Computer, Inc.
** All rights reserved.
*/

/* You may incorporate this sample code into your applications without
** restriction, though the sample code has been provided "AS IS" and the
** responsibility for its operation is 100% yours.  However, what you are
** not permitted to do is to redistribute the source as "DSC Sample Code"
** after having made changes. If you're going to re-distribute the source,
** we require that you make it clear in the source that the code was
** descended from Apple Sample Code, but that you've made changes. */


/**************************************************************************************
WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING 

Changes have been made to the pristine purity of this code I have added the lines
necessary to change it from AppWannaBe to WannaSpeech, the Text to Speech sample
from AppleSoft Developer Technical Support

   Written by:	Guillermo A. Ortiz		AppleSoft Developer Technical Support
   Date:		08/04/93

Please read WannaSpeech.readme for the gruesome details.
**************************************************************************************/


/*****************************************************************************/



#include "App.h"			/* Get the application includes/typedefs, etc.	*/
#include "App.protos.h"		/* Get the prototypes for application.			*/

#include "WannaSpeech.h"

#ifndef __TEXTSERVICES__
#include <TextServices.h>
#endif

#ifndef __TOOLUTILS__
#include <ToolUtils.h>
#endif

#ifndef __HEADERS__			/* This include allows THINK to search all header files. */
#include <Headers.h>
#endif



/*****************************************************************************/



#ifndef THINK_C
extern void _DataInit();
#endif



/*****************************************************************************/
/*****************************************************************************/

extern Boolean gCanTalk;

#pragma segment Main
void	main(void)
{

#ifndef THINK_C
	UnloadSeg((Ptr)_DataInit);		/* Note that _DataInit can't be in Main! */
#endif

	SetApplLimit(GetApplLimit() - 16384);
		/* This decreases the application heap by 16k, which in turn
		** increases the stack by 16k. */

	MaxApplZone();					/* Expand the heap so code segments load at the top. */

	Initialize(32, kMinHeap, kMinSpace, nil, nil);	/* Initialize the program. */
	DoSetResCursor(watchCursor);					/* Rest of startup may take a while. */
	InitRequiredAppleEvents();
	InitWFMTAppleEvents();
	GetWindowFormats();						/* Get the window definition resource information. */
	OpenRuntimeOnlyAutoNewWindows();
	DoOpenApplication();
	
	gCanTalk = SpeechAvailable();
	
	DoAdjustMenus();
	StartDocuments();						/* Open (or print) designated documents for 6.0. */

	if(CTEUseTSMTE())
		InitTSMAwareApplication();

	UnloadSeg((Ptr)Initialize);		/* Initialize can't be in Main! */
	EventLoop();					/* Call the main event loop. */

	if(CTEUseTSMTE())
		CloseTSMAwareApplication();

	ExitToShell();					/* Quit the application. */
}



