/* graphics:
	gxFont types
	by Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Mike Reed, Oliver Steele, David Van Brink, Chris Yerga
	Copyright  1987 - 1993 Apple Computer, Inc.  All rights reserved.
*/

#pragma once
#ifndef fontTypesIncludes
	#define fontTypesIncludes
	
	#ifndef mathTypesIncludes
		#include "math types.h"
	#endif
	
	typedef struct gxPrivateFontRecord *gxFont;
	
	enum gxFontPlatforms {
		gxGlyphPlatform = -1,
		gxNoPlatform,
		gxUnicodePlatform,
		gxMacintoshPlatform,
		gxReservedPlatform,
		gxMicrosoftPlatform,
		gxCustomPlatform
	#ifdef privateFontTypesIncludes
		, gxLastFontPlatform = gxCustomPlatform
	#endif
	};
	
	typedef long gxFontPlatform;
	
	enum gxMacintoshScripts {
		gxNoScript,
		gxRomanScript,
		gxJapaneseScript,
		gxTraditionalChineseScript,
		gxChineseScript = gxTraditionalChineseScript,
		gxKoreanScript,
		gxArabicScript,
		gxHebrewScript,
		gxGreekScript,
		gxCyrillicScript,
		gxRussian = gxCyrillicScript,
		gxRSymbolScript,
		gxDevanagariScript,
		gxGurmukhiScript,
		gxGujaratiScript,
		gxOriyaScript,
		gxBengaliScript,
		gxTamilScript,
		gxTeluguScript,
		gxKannadaScript,
		gxMalayalamScript,
		gxSinhaleseScript,
		gxBurmeseScript,
		gxKhmerScript,
		gxThaiScript,
		gxLaotianScript,
		gxGeorgianScript,
		gxArmenianScript,
		gxSimpleChineseScript,
		gxTibetanScript,
		gxMongolianScript,
		gxGeezScript,
		gxEthiopicScript = gxGeezScript,
		gxAmharicScript = gxGeezScript,
		gxSlavicScript,
		gxEastEuropeanRomanScript = gxSlavicScript,
		gxVietnameseScript,
		gxExtendedArabicScript,
		gxSindhiScript = gxExtendedArabicScript,
		gxUninterpretedScript
	#ifdef privateFontTypesIncludes
		, gxLastMacintoshScript = gxUninterpretedScript
	#endif
	};
	
	enum gxMicrosoftScripts {
		gxMicrosoftSymbolScript = 1,
		gxMicrosoftStandardScript
	#ifdef privateFontTypesIncludes
		, gxLastMicrosoftScript = gxMicrosoftStandardScript
	#endif
	};
	
	enum gxCustomScripts {
		gxCustom8BitScript = 1,
		gxCustom816BitScript,
		gxCustom16BitScript
	#ifdef privateFontTypesIncludes
		, gxLastCustomScript = gxCustom16BitScript
	#endif
	};
	
	typedef long gxFontScript;
	
	enum gxFontLanguages {
		gxNoLanguage,
		gxEnglishLanguage,
		gxFrenchLanguage,
		gxGermanLanguage,
		gxItalianLanguage,
		gxDutchLanguage,
		gxSwedishLanguage,
		gxSpanishLanguage,
		gxDanishLanguage,
		gxPortugueseLanguage,
		gxNorwegianLanguage,
		gxHebrewLanguage,
		gxJapaneseLanguage,
		gxArabicLanguage,
		gxFinnishLanguage,
		gxGreekLanguage,
		gxIcelandicLanguage,
		gxMalteseLanguage,
		gxTurkishLanguage,
		gxCroatianLanguage,
		gxTradChineseLanguage,
		gxUrduLanguage,
		gxHindiLanguage,
		gxThaiLanguage,
		gxKoreanLanguage,
		gxLithuanianLanguage,
		gxPolishLanguage,
		gxHungarianLanguage,
		gxEstonianLanguage,
		gxLettishLanguage,
		gxLatvianLanguage = gxLettishLanguage,
		gxSaamiskLanguage,
		gxLappishLanguage = gxSaamiskLanguage,
		gxFaeroeseLanguage,
		gxFarsiLanguage,
		gxPersianLanguage = gxFarsiLanguage,
		gxRussianLanguage,
		gxSimpChineseLanguage,
		gxFlemishLanguage,
		gxIrishLanguage,
		gxAlbanianLanguage,
		gxRomanianLanguage,
		gxCzechLanguage,
		gxSlovakLanguage,
		gxSlovenianLanguage,
		gxYiddishLanguage,
		gxSerbianLanguage,
		gxMacedonianLanguage, 
		gxBulgarianLanguage,
		gxUkrainianLanguage,
		gxByelorussianLanguage,
		gxUzbekLanguage,
		gxKazakhLanguage,
		gxAzerbaijaniLanguage,
		gxAzerbaijanArLanguage,
		gxArmenianLanguage,
		gxGeorgianLanguage,
		gxMoldavianLanguage,
		gxKirghizLanguage,
		gxTajikiLanguage,
		gxTurkmenLanguage,
		gxMongolianLanguage,
		gxMongolianCyrLanguage,
		gxPashtoLanguage,
		gxKurdishLanguage,
		gxKashmiriLanguage,
		gxSindhiLanguage,
		gxTibetanLanguage,
		gxNepaliLanguage,
		gxSanskritLanguage,
		gxMarathiLanguage,
		gxBengaliLanguage,
		gxAssameseLanguage,
		gxGujaratiLanguage,
		gxPunjabiLanguage,
		gxOriyaLanguage,
		gxMalayalamLanguage,
		gxKannadaLanguage,
		gxTamilLanguage,
		gxTeluguLanguage, 
		gxSinhaleseLanguage,
		gxBurmeseLanguage,
		gxKhmerLanguage,
		gxLaoLanguage,
		gxVietnameseLanguage, 
		gxIndonesianLanguage,
		gxTagalogLanguage,
		gxMalayRomanLanguage,
		gxMalayArabicLanguage,
		gxAmharicLanguage,
		gxTigrinyaLanguage,
		gxGallaLanguage,
		gxOromoLanguage = gxGallaLanguage,
		gxSomaliLanguage,
		gxSwahiliLanguage,
		gxRuandaLanguage,
		gxRundiLanguage,
		gxChewaLanguage,
		gxMalagasyLanguage,
		gxEsperantoLanguage,
		gxWelshLanguage = 129,
		gxBasqueLanguage,
		gxCatalanLanguage,
		gxLatinLanguage,
		gxQuechuaLanguage,
		gxGuaraniLanguage,
		gxAymaraLanguage,
		gxTatarLanguage,
		gxUighurLanguage,
		gxDzongkhaLanguage,
		gxJavaneseRomLanguage,
		gxSundaneseRomLanguage
	#ifdef privateFontTypesIncludes
		, gxLastMacintoshLanguage = gxSundaneseRomLanguage
	#endif
	};
	
	#ifdef privateFontTypesIncludes
		#define gxLastCustomLanguage		255
	#endif
	
	typedef long gxFontLanguage;
	
	enum gxFontNames {
		gxNoFontName,
		gxCopyrightFontName,
		gxFamilyFontName,
		gxStyleFontName,
		gxUniqueFontName,
		gxFullFontName,
		gxVersionFontName,
		gxPostscriptFontName,
		gxTrademarkFontName,
		gxManufacturerFontName
	};
	
	typedef long gxFontName;
	
	#ifndef gxSharedFontTypeDefines
		#define gxSharedFontTypeDefines
	
		typedef long gxFontTableTag;
		typedef long gxFontVariationTag;
		typedef long gxFontFormatTag;
		typedef long gxFontStorageTag;
		typedef gxFontVariationTag gxFontDescriptorTag;
	
		struct gxFontVariation {
			gxFontVariationTag	name;
			Fixed			value;
		};
		
		typedef struct gxFontVariation gxFontDescriptor;
	
		struct gxFontFeatureSetting {
			unsigned short	setting;
			unsigned short	nameID;
		};
		
		#ifndef __cplusplus
			typedef struct gxFontVariation gxFontVariation;
			typedef struct gxFontFeatureSetting gxFontFeatureSetting;
		#endif
	#endif
	
	enum gxFontAttributes {
		gxSystemFontAttribute	= 0x0001,
		gxReadOnlyFontAttribute	= 0x0002
	#ifdef privateFontTypesIncludes
		, gxAllFontAttributes	= gxSystemFontAttribute | gxReadOnlyFontAttribute
	#endif
	};
	
	typedef long gxFontAttribute;
	
	#define gxMutuallyExclusiveFeature	0x00008000
	typedef long gxFontFeatureFlag;
	
	typedef long gxFontFeature;
	
	#define gxResourceFontStorage		0x72737263	/* 'rsrc' */
	#define gxHandleFontStorage		0x686e646c	/* 'hndl' */
	#define gxFileFontStorage			0x62617373	/* 'bass' */
	#define gxNfntFontStorage		0x6e666e74	/* 'nfnt' */
	
	typedef void *gxFontStorageReference;

#endif
