{
 memory manager:
    public interface definition
    by Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Oliver Steele, David Van Brink, Chris Yerga
    Copyright 1987 - 1991 Apple Computer, Inc.  All rights reserved.    
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
    UNIT MemoryRoutines;
    INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingMemoryRoutines}
{$SETC UsingMemoryRoutines := 1}


{$I+}
{$SETC MemoryRoutinesIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingMemoryTypes}
{$I $$Shell(PInterfaces)MemoryTypes.p}
{$ENDC}
{$IFC UNDEFINED UsingMathTypes}
{$I $$Shell(PInterfaces)MathTypes.p}
{$ENDC}
{$SETC UsingIncludes := MemoryRoutinesIncludes}
FUNCTION GetCurrentHeap: GxHeapPointer; C;
PROCEDURE SetCurrentHeap(newHeap: GxHeapPointer); C;

FUNCTION GetMinimumHeapSize: LongInt; C;

FUNCTION GetFirstHeap: GxHeapPointer; C;
FUNCTION GetNextHeap(VAR thisHeap: GxHeap): GxHeapPointer; C;

FUNCTION NewHeap(memory: Ptr; size: LongInt): GxHeapPointer; C;
FUNCTION GetHeapSize(source: GxHeapPointer): LongInt; C;
FUNCTION GetHeapFreeSpace(source: GxHeapPointer): LongInt; C;
FUNCTION CompactHeap(VAR target: GxHeap; address: Ptr): Ptr; C;
FUNCTION GetHeapBlock(VAR source: GxHeap; types, index: LongInt): Ptr; C;
PROCEDURE DisposeHeap(VAR target: GxHeap); C;

FUNCTION GetFirstHeapSection(source: GxHeapPointer; VAR length: LongInt): Ptr; C;
FUNCTION GetNextHeapSection(source: GxHeapPointer; oldSection: Ptr; VAR length: LongInt): Ptr; C;
PROCEDURE GrowHeap(VAR target: GxHeap; newMemory: Ptr; size: LongInt); C;
FUNCTION ShrinkHeap(VAR target: GxHeap; sectionStart: Ptr; sectionLength: LongInt): Boolean; C;

FUNCTION NewDirectBlock(size: LongInt): Ptr; C;
FUNCTION GetDirectBlockSize(block: Ptr): LongInt; C;
FUNCTION SetDirectBlockSize(block: Ptr; newSize: LongInt): Ptr; C;
FUNCTION DisposeDirectBlock(block: Ptr): LongInt; C;

FUNCTION NewWeakBlock(size: LongInt): Ptr; C;
FUNCTION NewFailBlock(size: LongInt): Ptr; C;
FUNCTION SetFailBlockSize(block: Ptr; newSize: LongInt): Ptr; C;

FUNCTION NewIndirectBlock(size: LongInt): Ptr; C;
FUNCTION GetIndirectBlockSize(block: Ptr): LongInt; C;
FUNCTION SetIndirectBlockSize(block: Ptr; newSize: LongInt): Ptr; C;
FUNCTION RecoverIndirectBlock(block: Ptr): Ptr; C;
FUNCTION ReleaseIndirectBlock(object: Ptr): LongInt; C;
FUNCTION DisposeIndirectBlock(block: Ptr): LongInt; C;
PROCEDURE ExchangeIndirectBlocks(block1, block2: Ptr); C;
FUNCTION IsMasterPointer(source: Ptr): Boolean; C;

FUNCTION GetBlockBusy(block: Ptr): LongInt; C;
FUNCTION GetBlockFlags(block: Ptr): LongInt; C;
FUNCTION GetBlockParent(block: Ptr): Ptr; C;
FUNCTION GetBlockType(block: Ptr): LongInt; C;

PROCEDURE SetBlockBusy(block: Ptr; busyCount: LongInt); C;
PROCEDURE SetBlockFlags(block: Ptr; newFlags: LongInt); C;
PROCEDURE SetBlockParent(block, parent: Ptr); C;
PROCEDURE SetBlockType(block: Ptr; newTypeID: LongInt); C;

FUNCTION GetBlockDelta(block: Ptr): LongInt; C;
FUNCTION GetBlockPhysicalSize(block: Ptr): LongInt; C;

PROCEDURE IncrementBlockBusy(block: Ptr); C;
PROCEDURE DecrementBlockBusy(block: Ptr); C;
FUNCTION NewTemporaryBlock(size: LongInt): Ptr; C;
PROCEDURE DisposeTemporaryBlock(block: Ptr); C;

FUNCTION GetBlockBytes(block: Ptr; index, count: LongInt; destination: Ptr): LongInt; C;
FUNCTION SetBlockBytes(block: Ptr; index, oldCount, newCount: LongInt; source: Ptr): Ptr; C;

FUNCTION FindHeap(address: Ptr): GxHeapPointer; C;
FUNCTION FindBlock(address: Ptr): Ptr; C;

PROCEDURE MoveBytes(source, destination: Ptr; length: LongInt); C;
PROCEDURE CopyBytes(source, destination: Ptr; length: LongInt); C;
PROCEDURE FillBytes(destination: Ptr; length, pattern: LongInt); C;
FUNCTION EqualBytes(address1, address2: Ptr; length: LongInt): Boolean; C;

PROCEDURE MoveBits(src: Ptr; srcInset: LongInt; dst: Ptr; dstInset, length: LongInt); C;
PROCEDURE FillBits(dst: Ptr; dstInset, length, pattern: LongInt); C;

PROCEDURE InitializeMemoryManager; C;

FUNCTION GetMemoryTrapAddress(selector: LongInt): Ptr; C;


{$ENDC}

{$IFC NOT UsingIncludes}
    END.
{$ENDC}
