/*---------------------------------------------------------------------------------------------
FILENAME
    TestClip.h
    
DESCRIPTION
    This is the include file to the test program for the vector clipping system
	
COPYRIGHT
    1992 Copyright Apple Computer, Inc.
    All rights reserved.
    
---------------------------------------------------------------------------------------------*/

//#ifdef MakeDumpFile

#include <Controls.h>
#include <CursorCtl.h>
#include <Desk.h>
#include <Dialogs.h>
#include <Events.h>
#include <Fonts.h>
#include <Memory.h>
#include <Menus.h>
#include <OSUtils.h>
#include <Packages.h>
#include <Palettes.h>
#include <Picker.h>
#include <Quickdraw.h>
#include <Resources.h>
#include <Scrap.h>
#include <SegLoad.h>
#include <TextEdit.h>
#include <ToolUtils.h>
#include <Windows.h>
#include <Values.h>
#include <FixMath.h>
#include <Math.h>
#include <stdio.h>

#include "TestCubicsRef.h"

#define debugging

#include <graphics routines.h>
#include <graphics toolbox.h>
#include <graphics libraries.h>
#include <graphics debugging.h>
#include <graphics state library.h>


#define kSysEnvVers	1
#define kOsEvent	app4Evt
#define kSusResMes	1
#define kResMask	1
#define kMouseMoved	0xFA
#define extremeNeg	-32768
#define extremePos	 32767 - 1
#define kMinDocSize		64

#define kGrowBHeight	17
#define kGrowBWidth		17
#define kCloseEnough	3
#define kThick			2

enum {	kCursInit,
		kCursArrow,
		kCursCross,
		kCursHand,
		kCursWatch
};


#define TopLeft(aRect)	(* (Point *) &(aRect).top)
#define BotRight(aRect)	(* (Point *) &(aRect).bottom)
#define HiWrd(aLong)	(((aLong) >> 16) & 0xFFFF)
#define LoWrd(aLong)	((aLong) & 0xFFFF)

extern void _DataInit();

typedef struct {
	CWindowRecord	docWindow;
	gxViewPort	vp;
	long		count;
	gxPoint	   **data;

} DocumentRecord, *DocumentPeek;


/* prototypes for TestClip.c */

void EventLoop(void);
void DoEvent(EventRecord *event, short *cursFlag);
void AdjustCursor(EventRecord *event, short *cursFlag);
void DoGrowWindow(WindowPtr window, EventRecord *event);
void DoZoomWindow(WindowPtr window, short part);
void ResizeWindow(WindowPtr window);
void DoUpdate(WindowPtr	window);
void DoContentClick(WindowPtr window,EventRecord *event,short *cursFlag);
short DoCubicDrag( gxPoint *, Point, DocumentPeek );

void SetWorkRect(WindowPtr window, Rect	*pinRect, Rect *limitRect);
void Initialize( void );
void DrawControlHandle( gxPoint * );
void DrawCubicNumbers( DocumentPeek );
void DrawCubicControl( gxShape );
void DrawWindow(WindowPtr window);
void DrawCurves( gxPoint **data );
void DrawMyGrow(WindowPtr window);
void AdjustMenus( void );
void DoMenuCommand(long menuResult);
void DoCloseWindow(WindowPtr window);
Boolean IsAppWindow(WindowPtr window);
Boolean IsDAWindow(WindowPtr window);

void ExitApplication( WindowPtr );
long CountQuadratics( const cubic * );

gxShape NewCubic(  const cubic * );
gxShape NewCubic2( const cubic *, const long );

/******
#pragma dump ":Objects:DumpFile"

#else

#pragma load ":Objects:DumpFile"

#endif***/