/*---------------------------------------------------------------------------------------------
FILENAME
    TestClip.r
    
DESCRIPTION
    This is the resource file which is used
	both by the program
	
COPYRIGHT
    1992 Copyright Apple Computer, Inc.
    All rights reserved.
    		
---------------------------------------------------------------------------------------------*/
#include "SysTypes.r"
#include "Types.r"

#include "TestCubicsRef.h"


resource 'vers' (1) {
	0x01, 0x00, development, 0x1B,
	verUS,
	"1.0d27",
	"1.0d27, Copyright  1989 Apple Computer, Inc."
};

/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar, preload) {
	{ mApple, mFile, mEdit, mClip, mError };		/* three menus */
};


resource 'MENU' (mApple, preload) {
	mApple, textMenuProc,
	0b1111111111111111111111111111101,	/* disable dashed gxLine, enable About and DAs */
	enabled, apple,
	{
		"About TestClip",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile, preload) {
	mFile, textMenuProc,
	0b0000000000000000000000000010001,	/* enable quit */
	enabled, "File",
	{
		"Open",
			noicon, "O", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Save as",
			noicon, nokey, nomark,plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit, preload) {
	mEdit, textMenuProc,
	0b0000000000000000000000000000000,	/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mClip, preload) {
	mClip, textMenuProc,
	allEnabled,
	enabled, "Points",
	{
		"Automatic",
			noicon, "0", check, plain;
		"1",
			noicon, "1", nomark, plain;
		"2",
			noicon, "2", nomark, plain;
		"3",
			noicon, "3", nomark, plain;
		"4",
			noicon, "4", nomark, plain;
		"5",
			noicon, "5", nomark, plain;
		"6",
			noicon, "6", nomark, plain;
		"7",
			noicon, "7", nomark, plain;
		"8",
			noicon, "8", nomark, plain;
		"9",
			noicon, "9", nomark, plain;
		"10",
			noicon, nokey, nomark, plain


	}
};

resource 'MENU' (mError, preload) {
	mError, textMenuProc,
	allEnabled,
	enabled, "Error",
	{
		"0.01",
			noicon, nokey, nomark, plain;
		"0.25",
			noicon, nokey, check, plain;
		"0.5",
			noicon, nokey, nomark, plain;
		"0.75",
			noicon, nokey, nomark, plain;
		"1.0",
			noicon, nokey, nomark, plain;
		"2.0",
			noicon, nokey, nomark, plain;
		"4.0",
			noicon, nokey, nomark, plain;
		"8.0",
			noicon, nokey, nomark, plain
	}
};

resource 'ALRT' (rAboutAlert) {
	{40, 40, 206, 306},
	rAboutDITL,
	{ 	
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'ALRT' (rClearAlert) {
	{80, 178, 180, 414},
	rClearDITL,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};


resource 'DITL' (rAboutDITL) {
	{ /* array DITLarray: 5 elements */
		/* [1] */
		{122, 196, 142, 256},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 16, 54, 253},
		StaticText {
			disabled,
			"Test application for the conversion of cubics"
		},
		/* [3] */
		{65, 16, 85, 254},
		StaticText {
			disabled,
			"Copyright 1991-92 Apple Computer"
		},
		/* [4] */
		{97, 16, 119, 153},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{130, 16, 152, 118},
		StaticText {
			disabled,
			"Hugo M. Ayala"
		}
	}
};

resource 'DITL' (rClearDITL) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{67, 158, 87, 218},
		Button {
			enabled,
			"Cancel"
		},
		/* [2] */
		{66, 15, 86, 75},
		Button {
			enabled,
			"OK"
		},
		/* [3] */
		{22, 15, 56, 225},
		StaticText {
			enabled,
			"Reset the current clip object ?"
		}
	}
};


resource 'WIND' (rDocWindow, preload, purgeable) {
	{64, 60, 314, 460},
	zoomDocProc, invisible, goAway, 0x0, "Test Clip"
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	ignoreSuspendResumeEvents,
	disableOptionSwitch,
	cannotBackground,
	notMultiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	kPrefSize * 1024,
	kMinSize * 1024
};


type 'TCUB' as 'STR ';


resource 'TCUB' (0) {
	"Test program for cubics"
};


resource 'BNDL' (rBndl) {
	'TCUB',
	0,
	{
		'ICN#',
		{
			0, rIcon
		},
		'FREF',
		{
			0, rFref
		}
	}
};


resource 'FREF' (rFref) {
	'APPL',
	0,
	""
};


resource 'ICN#' (rIcon) {
	{ /* array: 2 elements */
		/* [1] */
		$"00 00 00 00 00 03 00 00 00 07 80 00 00 08 40 00"
		$"00 10 20 00 00 20 10 00 00 40 08 00 00 80 04 00"
		$"01 00 02 00 02 10 21 00 04 10 20 80 08 08 60 40"
		$"10 08 40 20 20 04 80 10 40 04 80 08 C0 03 00 0C"
		$"C0 03 00 0C 40 03 00 08 20 07 80 10 10 18 60 20"
		$"08 24 90 40 04 24 90 80 02 18 61 00 01 00 02 00"
		$"00 80 04 00 00 40 08 00 00 20 10 00 00 10 20 00"
		$"00 08 40 00 00 07 80 00 00 03",
		/* [2] */
		$"00 00 00 00 00 03 00 00 00 07 80 00 00 0F C0 00"
		$"00 1F E0 00 00 3F F0 00 00 7F F8 00 00 FF FC 00"
		$"01 FF FE 00 03 EF DF 00 07 EF DF 80 0F F7 BF C0"
		$"1F F7 BF E0 3F FB 7F F0 7F FB 7F F8 FF FC FF FC"
		$"FF FC FF FC 7F FC FF F8 3F F8 7F F0 1F E7 9F E0"
		$"0F DB 6F C0 07 DB 6F 80 03 E7 9F 00 01 FF FE 00"
		$"00 FF FC 00 00 7F F8 00 00 3F F0 00 00 1F E0 00"
		$"00 0F C0 00 00 07 80 00 00 03"
	}
};

resource 'CURS' (rHandCurs) {
	$"01 80 1A 70 26 48 26 4A 12 4D 12 49 6A 09 98 01"
	$"88 02 40 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"01 80 1B F0 3F F8 3F FA 1F FF 1F FF 7F FF FF FF"
	$"FF FE 7F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{8, 5}
};
