/*
	main.c
	
	This file contains the main routine, some globals, and that's about it.							

	Created		9/2/92		- Dave Hersey

	----------------------------------------------

	2/1/93	debugged and plopped on GX CD.  - dmh
	9/93	updated to run with the 2 "GXified" interface files - PLA 
	9/15/93 Added override for gxPrintingEvent to handle update events.	 - dmh

*/

#include <Desk.h>
#include <Events.h>
#include <Fonts.h>
#include <Windows.h>
#include <Memory.h>
#include <ToolUtils.h>
#include <Quickdraw.h>

#include "PrintingManager.h"
#include "graphics toolbox.h"
#include "graphics routines.h"
#include "graphics libraries.h"
#include "graphics debugging.h"
#include "Banana Jr.h"

Boolean		gQuitting;
Str255 		gWindowTitle = "\pStand back, this could get messy...";
Rect 		gWindowQDRect  = {50, 15, 512, 580};
Boolean		gDebugging = false;
Boolean		gGiveMeValidation = false;
long		gGraphicsHeapSize = 500;
short 		gAppResRefNum;
long		gSleep = 0;

void main()
{		
	CursHandle			theCurs; 
	Handle				menuBar;
	gxGraphicsClient 	client;
	OSErr				err;
	WindowPtr			wind;
	char				i;

	gAppResRefNum = CurResFile();
	client = GXNewGraphicsClient(nil, gGraphicsHeapSize * 1024, 0L);

	MaxApplZone(); 
	
	for (i = 1; i <= 6; i++)
		MoreMasters(); 

	if (gDebugging)
	{
		SetGraphicsLibraryErrors ();
		SetGraphicsLibraryNotices();	
	}

	if (gGiveMeValidation) GXSetValidation(gxPublicValidation); 


	/** Initialize the new graphics and printing environments.  **/

	GXEnterGraphics();
	err = GXInitPrinting();

	/**   Initialize the other managers, if no errors occured.   **/
 	
 	if (!err)
 	{
 		InitGraf(&qd.thePort);
		InitFonts();
		InitWindows();
		InitMenus();
		InitCursor();

		theCurs = GetCursor(watchCursor);
		SetCursor(*theCurs);

		menuBar = GetNewMBar(rMenuBar);

		if (menuBar)
		{
			gQuitting = false;
			SetMenuBar(menuBar);
			DisposHandle(menuBar);
			AddResMenu(GetMHandle(mApple), 'DRVR');
			DrawMenuBar();

 	// We initialize the CommonColors Library.  This will allow us to set the color of a
 	// shape by calling the SetShapeCommonColor function. We will need to call
 	// DisposeCommonColors when we leave, to clean up the world.

  			InitCommonColors();
	
			DoCreateNew();
			SetCursor(&qd.arrow);  
			
			while (!gQuitting)
				EventLoop();


	// Leaving.  Close all the windows so we get rid of any data we or GX created.  Then,
	// dispose of the common colors and exit the GX printing and graphics environment.

			while (wind = FrontWindow())
				DoDispose(wind);

			DisposeCommonColors();
		}

		GXExitPrinting();
	}
	
	GXExitGraphics();
	GXDisposeGraphicsClient(client);
}


/*------ MyPrintingEventOverride -----------------------------------------------------------------------------*/
// Override for GXPrintingEvent.  It allows us to update our windows
// when the moveable modal printing dialogs are moved.  Keep this in your
// main segment, which will always be loaded when GX tries to call the routine.

OSErr MyPrintingEventOverride(EventRecord *anEvent, Boolean filterEvent)
{

// Handle events in whatever way is appropriate.  MyDoEvent is our
// generic event handler.

	if (!filterEvent) MyDoEvent(anEvent);

	return noErr;
}


