#	File:		Backwash.make
#   Target:     Backwash
#   Sources:    Backwash.a Backwash.c Backwash.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for the Backwash printing extension.
#
#	Dave Hersey
#	Apple Developer Technical Support
#
#	11/11/92 - dmh - Created.
#	 1/28/93 - dmh - Cleaned up for a5 seed CD.
#	 3/26/93 - dmh - Updated for b1c2.
#	 8/24/93 - dmh - Updated for b2.
#	12/18/93 - dmh - Updated for b3.

#	Alias to the path of the GX interface files, and to
#	the objects that we'll be linking.

INTPATH = East Terrace:Interfaces & Libraries:interfaces:

OBJECTS = Backwash.a.o Backwash.c.o


# Our creator type:

kCreator = 'SpIT'


#	The assembly/C options we want to use.  Make sure you use
#	the -b2 option or your static strings will be treated as
#	global data, and the linker will have a hissy.

AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -sym off -i "{INTPATH}" -opt full -mbg off -b2 -r


Backwash.a.o  Backwash.make Backwash.a
	 Asm {AsmOptions} Backwash.a
Backwash.c.o  Backwash.make Backwash.c
	 C {CompileOptions} Backwash.c

Backwash  Backwash.make Backwash.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-c {kCreator}					
			-t 'pext'						
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{CLibraries}"StdCLib.o			
			"{Libraries}"Interface.o		
			"{Libraries}"Runtime.o			
			-o Backwash;
	SetFile Backwash -a iB;
	Rez -i "{INTPATH}" -rd -o Backwash Backwash.r -append 
