/*________________________________________________________

	File: DTP Menu Alert.h

	C header file for a printing extension that adds an
	alert item to the desktop printer menu.

	Dave Hersey
	Apple Developer Technical Support

	12/01/92 	- dmh - created.
	 4/26/93	- dmh - updated to use recommended approach
	 					to global data initialization.
	12/22/93	- dmh - updated for b3.

	(Note: labels are in the Mark menu.)
	
__________________________________________________________*/

#define kCreator				'DTPA'	/* Our creator type.			*/

#define kNumMenuItemsWeAdded	1		/* Number of items we added to	*/
										/* DTP's menu.					*/

#define kAlertItem				1		/* Our DTP menu item to alert	*/
										/* the user.					*/

#define r_AlertString		gxPrintingTagID		/* ID of our menu item's STR.	*/

#define kUserAttentionID	gxPrintingDriverBaseID + 1	/* ID of stat res.	*/

#define kAlertStatusIdx			1		/* The index of our alert item				*/
										/* in the stat resource.					*/

// Prototypes:

extern	long A5Size (void);				/* We need these to set up		*/
extern	void A5Init (void *);			/* our A5 world.				*/

OSErr	InitGlobalData(void);
OSErr	NewInitialize(void);
OSErr	NewShutDown(void);
OSErr	NewGetDTPMenuList(MenuHandle aMenu);
OSErr	NewDTPMenuSelect(short ID, Boolean *done);
OSErr	NewFetchTaggedData(ResType theType, short theID, Handle *theHandle,
						   OSType owner);

