/*
	Adjust Layout Sample.h

	1990 - 1993  Apple Computer, Inc.
	All rights reserved.
*/

// includes for this program

#include "graphics debugging.h"
#include "graphics errors.h"
#include "graphics routines.h"
#include "graphics toolbox.h"

#include "layout types.h"
#include "layout routines.h"
#include "layout library.h"
#include "layout feature constants.h"

// macros

// This macro is useful for constructing fixed values

#define f(a,b) (((fixed) (a) << 16) + (b))

#define withFactor {0, -ff(4)/30}
#define crossFactor {0, fixed1/3}
#define glyphA 36
#define glyphE (glyphA + 'E' - 'A')
#define glyphJ (glyphA + 'J' - 'A')
#define glyphK (glyphA + 'K' - 'A')
#define glyphN (glyphA + 'N' - 'A')
#define glyphU (glyphA + 'U' - 'A')
#define glyphV (glyphA + 'V' - 'A')
#define glyphW (glyphA + 'W' - 'A')
#define glyphY (glyphW + 2)
#define nAdjustments 3
#define nSubstitutions 4

// Extra function prototypes not expected by the shell:

/**------ Function Prototypes -----**/

// AdjustLayoutSample.c:

void CreateSampleLayoutImage(WindowPtr);
static short StrLength(char *s);

// resource & menu item equates:

#define rWindTitleString 		128
#define rWindTitleStringIndex	1
#define rWindRectangle			128

enum {
	aboutDLOG = 128,
	appleMenuID = 128,
	fileMenuID,
	editMenuID
	}; 							// resource IDs

enum {
	okButton = 1,
	showsItem,
	authorItem
	};

enum {
	// Apple Menu 
	aboutCommand = 1,
	
	// File Menu 
	quitCommand = 1,
	
	// Edit Menu 
	undoCommand = 1,
	cutCommand,
	copyCommand,
	pasteCommand,
	clearCommand
	};


