################################################################################
#
# Apple Macintosh Developer Technical Support
#
# Make file for the ClassicImage application
#
# Program: DavesFabSamples
# File:    DavesFabSamples.make
#
# by:      Forrest Tanaka
#
# Copyright  1988-1990 Apple Computer, Inc.
# All rights reserved.
#
# 1.0D2 (09/09/93, MD) -- Removed Feature Sets files from the build, as
#						  Feature Sets are no longer supported as of B2.
#
################################################################################
	

## Change Graphics variable below to location of graphics folders ##
GraphicsIncludes  = {MPW}Interfaces & Libraries:interfaces:
GraphicsLibraries = {MPW}Interfaces & Libraries:graphics libraries:
QDLibraries       = {MPW}Interfaces & Libraries:qd libraries:


## Objects ##
OBJECTS = 
		DavesFabSamples.c.o 
		'Angled Carets and Hilites.c.o' 
		'Automatic Kerning.c.o' 
		'Baseline Alignment.c.o' 
		'Case Substitution.c.o' 
		'Smart Swashes.c.o' 
		'Continuous Flushness.c.o' 
		'Continuous Justification.c.o' 
		'Cross-stream Kerning.c.o' 
		'Direction Overrides.c.o' 
		EmergMem.c.o 
		Exceptions.a.o 
		'Extender Bars (Kashidas).c.o' 
		'GetGlyphOffsets Example.c.o' 
		'GetOffsetGlyphs Example.c.o' 
		'Glyph Stretching.c.o' 
		'Glyph Substitutions.c.o' 
		'Growing or Shrinking Lines.c.o' 
		'Hanging Punctuation.c.o' 
		'Imposed Width.c.o' 
		'Indic-Style Rearrangement.c.o' 
		'Justifying with Glyphs.c.o' 
		'Kerning Adjustments.c.o' 
		'Left and Right Factors.c.o' 
		Letterspacing.c.o 
		'Ligature Decomposition.c.o' 
		'Ligature Splits.c.o' 
		Ligatures.c.o 
		MenuHandler.c.o 
		'Number Styles.c.o' 
		'Optical Alignment.c.o' 
		'Split or Polarized Carets.c.o' 
		'Track Kerning.c.o' 
		'Unicode Reordering.c.o' 
		'Unlimited Gap Absorption.c.o' 
		'Vertical Lines.c.o' 
		'Vertical Substitution.c.o' 
		WindowPositioner.c.o 
		"{GraphicsLibraries}Font library.c.o"			
		"{GraphicsLibraries}layout library.c.o"			
		"{GraphicsLibraries}text library.c.o"			
		"{GraphicsLibraries}TransferMode library.c.o"	
		"{GraphicsLibraries}Transform library.c.o"


COptions = -b -r -sym full -d mpw -d ANSI_C -d debugging -d applec -i "{CIncludes}","{GraphicsIncludes}"


## Link & Rez ##
DavesFabSamples  DavesFabSamples.make DavesFabSamples.r DavesFabSamples..rsrc
	Rez DavesFabSamples.r -append -o DavesFabSamples
	SetFile -a BM DavesFabSamples

DavesFabSamples  DavesFabSamples.make {OBJECTS}
	Link -t APPL -c TST1 -sym full -mf 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o DavesFabSamples
	SetFile -a BM DavesFabSamples


## Main source files ##
DavesFabSamples.c.o  DavesFabSamples.make DavesFabSamples.c DavesFabSamples.h 
		EmergMem.h Exceptions.h DavesFabSamples.h MenuHandler.h 
		WindowPositioner.h
	C {COptions} DavesFabSamples.c

EmergMem.c.o  DavesFabSamples.make EmergMem.c EmergMem.h
	C {COptions} EmergMem.c

Exceptions.a.o  DavesFabSamples.make Exceptions.a
	Asm Exceptions.a

MenuHandler.c.o  DavesFabSamples.make MenuHandler.c DavesFabSamples.h 
		MenuHandler.h
	C {COptions} MenuHandler.c

WindowPositioner.c.o  DavesFabSamples.make WindowPositioner.c 
		WindowPositioner.h
	C {COptions} WindowPositioner.c


## Typography Samples ##
'Angled Carets and Hilites.c.o'  DavesFabSamples.make 
		'Angled Carets and Hilites.c' 
		SampleInterface.h
	C {COptions} 'Angled Carets and Hilites.c'

'Automatic Kerning.c.o'  DavesFabSamples.make 
		'Automatic Kerning.c' 
		SampleInterface.h
	C {COptions} 'Automatic Kerning.c'

'Baseline Alignment.c.o'  DavesFabSamples.make 
		'Baseline Alignment.c' 
		SampleInterface.h
	C {COptions} 'Baseline Alignment.c'

'Case Substitution.c.o'  DavesFabSamples.make 
		'Case Substitution.c' 
		SampleInterface.h
	C {COptions} 'Case Substitution.c'

'Smart Swashes.c.o'  DavesFabSamples.make 
		'Smart Swashes.c' 
		SampleInterface.h
	C {COptions} 'Smart Swashes.c'

'Continuous Flushness.c.o'  DavesFabSamples.make 
		'Continuous Flushness.c' 
		SampleInterface.h
	C {COptions} 'Continuous Flushness.c'

'Continuous Justification.c.o'  DavesFabSamples.make 
		'Continuous Justification.c' 
		SampleInterface.h
	C {COptions} 'Continuous Justification.c'

'Cross-stream Kerning.c.o'  DavesFabSamples.make 
		'Cross-stream Kerning.c' 
		SampleInterface.h
	C {COptions} 'Cross-stream Kerning.c'

'Direction Overrides.c.o'  DavesFabSamples.make 
		'Direction Overrides.c' 
		SampleInterface.h
	C {COptions} 'Direction Overrides.c'

'Extender Bars (Kashidas).c.o'  DavesFabSamples.make 
		'Extender Bars (Kashidas).c' 
		SampleInterface.h
	C {COptions} 'Extender Bars (Kashidas).c'

'GetGlyphOffsets Example.c.o'  DavesFabSamples.make 
		'GetGlyphOffsets Example.c' 
		SampleInterface.h
	C {COptions} 'GetGlyphOffsets Example.c'

'GetOffsetGlyphs Example.c.o'  DavesFabSamples.make 
		'GetOffsetGlyphs Example.c' 
		SampleInterface.h
	C {COptions} 'GetOffsetGlyphs Example.c'

'Glyph Stretching.c.o'  DavesFabSamples.make 
		'Glyph Stretching.c' 
		SampleInterface.h
	C {COptions} 'Glyph Stretching.c'

'Glyph Substitutions.c.o'  DavesFabSamples.make 
		'Glyph Substitutions.c' 
		SampleInterface.h
	C {COptions} 'Glyph Substitutions.c'

'Growing or Shrinking Lines.c.o'  DavesFabSamples.make 
		'Growing or Shrinking Lines.c' 
		SampleInterface.h
	C {COptions} 'Growing or Shrinking Lines.c'

'Hanging Punctuation.c.o'  DavesFabSamples.make 
		'Hanging Punctuation.c' 
		SampleInterface.h
	C {COptions} 'Hanging Punctuation.c'

'Imposed Width.c.o'  DavesFabSamples.make 
		'Imposed Width.c' 
		SampleInterface.h
	C {COptions} 'Imposed Width.c'

'Indic-Style Rearrangement.c.o'  DavesFabSamples.make 
		'Indic-Style Rearrangement.c' 
		SampleInterface.h
	C {COptions} 'Indic-Style Rearrangement.c'

'Justifying with Glyphs.c.o'  DavesFabSamples.make 
		'Justifying with Glyphs.c' 
		SampleInterface.h
	C {COptions} 'Justifying with Glyphs.c'

'Kerning Adjustments.c.o'  DavesFabSamples.make 
		'Kerning Adjustments.c' 
		SampleInterface.h
	C {COptions} 'Kerning Adjustments.c'

'Left and Right Factors.c.o'  DavesFabSamples.make 
		'Left and Right Factors.c' 
		SampleInterface.h
	C {COptions} 'Left and Right Factors.c'

Letterspacing.c.o  DavesFabSamples.make 
		Letterspacing.c 
		SampleInterface.h
	C {COptions} Letterspacing.c

'Ligature Decomposition.c.o'  DavesFabSamples.make 
		'Ligature Decomposition.c' 
		SampleInterface.h
	C {COptions} 'Ligature Decomposition.c'

'Ligature Splits.c.o'  DavesFabSamples.make 
		'Ligature Splits.c' 
		SampleInterface.h
	C {COptions} 'Ligature Splits.c'

Ligatures.c.o  DavesFabSamples.make 
		Ligatures.c 
		SampleInterface.h
	C {COptions} Ligatures.c

'Number Styles.c.o'  DavesFabSamples.make 
		'Number Styles.c' 
		SampleInterface.h
	C {COptions} 'Number Styles.c'

'Optical Alignment.c.o'  DavesFabSamples.make 
		'Optical Alignment.c' 
		SampleInterface.h
	C {COptions} 'Optical Alignment.c'

'Split or Polarized Carets.c.o'  DavesFabSamples.make 
		'Split or Polarized Carets.c' 
		SampleInterface.h
	C {COptions} 'Split or Polarized Carets.c'

'Track Kerning.c.o'  DavesFabSamples.make 
		'Track Kerning.c' 
		SampleInterface.h
	C {COptions} 'Track Kerning.c'

'Unicode Reordering.c.o'  DavesFabSamples.make 
		'Unicode Reordering.c' 
		SampleInterface.h
	C {COptions} 'Unicode Reordering.c'

'Unlimited Gap Absorption.c.o'  DavesFabSamples.make 
		'Unlimited Gap Absorption.c' 
		SampleInterface.h
	C {COptions} 'Unlimited Gap Absorption.c'

'Vertical Lines.c.o'  DavesFabSamples.make 
		'Vertical Lines.c' 
		SampleInterface.h
	C {COptions} 'Vertical Lines.c'

'Vertical Substitution.c.o'  DavesFabSamples.make 
		'Vertical Substitution.c' 
		SampleInterface.h
	C {COptions} 'Vertical Substitution.c'


## Graphics Libraries ##
"{GraphicsLibraries}Color library.c.o"  "{GraphicsLibraries}Color library.c"
	C {COptions} -o "{GraphicsLibraries}Color library.c.o" "{GraphicsLibraries}Color library.c"

"{GraphicsLibraries}Font library.c.o"  "{GraphicsLibraries}Font library.c"
	C {COptions} -o "{GraphicsLibraries}Font library.c.o" "{GraphicsLibraries}Font library.c"

"{GraphicsLibraries}graphics library.c.o"  "{GraphicsLibraries}graphics library.c"
	C {COptions} -o "{GraphicsLibraries}graphics library.c.o" "{GraphicsLibraries}graphics library.c"

"{GraphicsLibraries}layout library.c.o"  "{GraphicsLibraries}layout library.c"
	C {COptions} -o "{GraphicsLibraries}layout library.c.o" "{GraphicsLibraries}layout library.c"

"{GraphicsLibraries}text library.c.o"  "{GraphicsLibraries}text library.c"
	C {COptions} -o "{GraphicsLibraries}text library.c.o" "{GraphicsLibraries}text library.c"

"{GraphicsLibraries}TransferMode library.c.o"  "{GraphicsLibraries}TransferMode library.c"
	C {COptions} -o "{GraphicsLibraries}TransferMode library.c.o" "{GraphicsLibraries}TransferMode library.c"

"{GraphicsLibraries}Transform library.c.o"  "{GraphicsLibraries}Transform library.c"
	C {COptions} -o "{GraphicsLibraries}Transform library.c.o" "{GraphicsLibraries}Transform library.c"
