#ifndef THINK_C
#include <Types.h>
#include <QuickDraw.h>
#include <Fonts.h>
#include <Windows.h>
#include <Menus.h>
#include <SegLoad.h>
#include <Memory.h>
#include <Desk.h>
#endif

#include "graphics routines.h"
#include "graphics libraries.h"
#include "graphics toolbox.h"

#include "layout types.h"
#include "layout routines.h"
#include "layout library.h"

#include "SampleInterface.h"

short MyStrLen(char *x);
static short MyStrLen(x)
char	*x;
	{
	short c = 0;
	while (*x++) c++;
	return c;
	}	/* MyStrLen */

void KerningAdjustments(WindowPtr sampleWindow)
	{
	/* Variables */
	char				*myString = "WAVE AWAY.";
	gxGlyphcode			glyphcodes[20];
	gxKerningAdjustment	gxKerningAdjustment;
	gxLayoutOffsetState	offsetState;
	gxPoint				myPoint;
	gxRunControls			gxRunControls;
	gxShape				layout;
	short				len, level = 0;
	gxStyle				myStyle;
	unsigned short		firstGlyph, secondGlyph;
	gxViewPort			aViewPort;
	
	/* Initialization */
	
	myPoint.x = ff(30);
	myPoint.y = ff(50);
	
	aViewPort = GXNewWindowViewPort(sampleWindow);
	SetDefaultViewPort(aViewPort);
	
	len = MyStrLen(myString);
	InitializeRunControls(&gxRunControls);
	
	myStyle = NewLayoutStyle((char *) "\pTimes Roman", ff(60), 0, nil, nil, 0, nil);
	
	layout = GXNewLayout(
		1, &len, (void *) &myString,
		1, &len, &myStyle,
		1, &len, &level,
		nil, &myPoint);
	GXDrawShape(layout);
	
	GXGetLayoutGlyphs(layout, glyphcodes, nil, nil, nil, nil, nil, nil);
	GXGetOffsetGlyphs(layout, 1, false, &offsetState, &firstGlyph, &secondGlyph);
	/* The "-1"s in the following lines convert from the 1-based space returned by GXGetOffsetGlyphs
			into the zero-based space needed for array references. */
	gxKerningAdjustment.firstGlyph = glyphcodes[firstGlyph - 1];
	gxKerningAdjustment.secondGlyph = glyphcodes[secondGlyph - 1];
	gxKerningAdjustment.crossStreamFactors.scaleFactor = 0;
	gxKerningAdjustment.crossStreamFactors.adjustmentPointSizeFactor = 0;
	
	gxKerningAdjustment.withStreamFactors.scaleFactor = -(fract1 / 2);
	gxKerningAdjustment.withStreamFactors.adjustmentPointSizeFactor = 0;
	GXSetStyleRunKerningAdjustments(myStyle, 1, &gxKerningAdjustment);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	gxKerningAdjustment.withStreamFactors.scaleFactor = -fract1;
	gxKerningAdjustment.withStreamFactors.adjustmentPointSizeFactor = fixed1 / 2;
	GXSetStyleRunKerningAdjustments(myStyle, 1, &gxKerningAdjustment);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	GXDisposeShape(layout);
	GXDisposeStyle(myStyle);
	GXDisposeViewPort(aViewPort);
	}	/* main */
