/*
	interfaces for a simple, MULTI-window graphics shell

	1990 - 1993  Apple Computer, Inc.
	All rights reserved.
*/

#include "Glyph Layout Sample.h"

// the following are expected to be initialized by the shell:

// B3 QuickDraw GX shell.c:

extern Boolean			gQuitting;

// the following are expected to be initialized by your code:

extern Rect 		gWindowQDRect;
extern Str255		gWindowTitle;
extern Boolean		gDebugging;
extern Boolean		gGiveMeValidation;
extern long			gGraphicsHeapSize;

// the following functions are supplied by the application using the shell and are called
// at the appropriate time


/**------ Function Prototypes -----**/

// B3 QuickDraw GX shell.c:

void main(void);
void MyDoEvent(EventRecord *theEvent);
void EventLoop(void);
void MyDoEvent(EventRecord *theEvent);
OSErr MyPrintingEventOverride(EventRecord *anEvent, Boolean filterEvent);
Boolean IsAppWindow(WindowPtr wind);

// B3 QDGX shell misc.c:

void DoMenuCommand(long menuResult);
gxJob GetDocJob(WindowPtr);
gxShape GetDocShape(WindowPtr);

// B3 QDGX shell printing.c:

void  SetUpEditMenuRec(gxEditMenuRecord *);
OSErr DoFormat(WindowPtr, gxDialogResult	*);
OSErr DoPrinting(WindowPtr);
OSErr DoPrintOne(WindowPtr);


// resource & menu item equates:

#define rAboutBoxID		128

#define rMenuBar		128
#define mApple			128
#define	 iAbout		1

#define mFile			129
#define	 iNew		1
#define	 iOpen		2
#define	 iClose		3
#define	 iSave		4
#define	 iPageSetup	6
#define	 iPrintOne		7
#define	 iPrint		8
#define	 iQuit	      10

#define mEdit			130
#define	 iUndo		1
#define	 iCut			3
#define	 iCopy		4
#define	 iPaste		5
#define	 iClear		6

// This is the structure we use to hold our private data for each window.  We store a handle
// to one of these beasties in each window's refCon field.

typedef struct {
			  gxJob		docJob;			// print job for this document.
			  gxShape	docPage;		// page shape description for this document.
			} T_Doc, *TP_Doc, **TH_Doc;
