#
#   File:       viewPort Mania FAT.make
#
#   Target:     viewPort Mania FAT
#
#	Why:		This makefile creates a "FAT" version of the QuickDraw GX sample app: viewPort Mania FAT.
#				Since we built a "FAT" version of this app, it will run on a 68k or PowerPC Mac running
#				QuickDraw GX v1.0 3.
#
#   Sources:    "{GXGRAPHICSLIBS}color library.c"
#               "{GXGRAPHICSLIBS}font library.c"
#               "{GXGRAPHICSLIBS}graphics debug library.c"
#               "{GXGRAPHICSLIBS}shape library.c"
#               "{GXGRAPHICSLIBS}transform library.c"
#               "graphics shell.c"
#               "viewPort Mania (text).c"
#               "viewPort Mania (text) FAT.r"
#
#   Created:    Wednesday, December 22, 1993 05:09:44 PM
#

ThisMakeFile		=	viewPort Mania FAT.make

GXINTERFACES 		= 	{MPW}GXInterfaces:
SOURCE				=	:
OBJ68K				=	:Obj68K:
OBJPPC				=	:ObjPPC:
GXGRAPHICSLIBS 		= 	{MPW}GXGraphicsLibraries:
GXGRAPHICSLIBS68K 	= 	{MPW}GXGraphicsLibraries:Obj68K:
GXGRAPHICSLIBSPPC 	= 	{MPW}GXGraphicsLibraries:ObjPPC:

68KOBJECTS 		=	"{GXGRAPHICSLIBS68K}color library.c.o" 
					"{GXGRAPHICSLIBS68K}font library.c.o" 
					"{GXGRAPHICSLIBS68K}graphics debug library.c.o" 
					"{GXGRAPHICSLIBS68K}transform library.c.o" 
					"{OBJPPC}graphics shell.c.o" 
					"{OBJPPC}viewPort Mania (text).c.o" 

POWERPCOBJECTS 	= 	"{GXGRAPHICSLIBSPPC}color library.o"
					"{GXGRAPHICSLIBSPPC}font library.o" 
					"{GXGRAPHICSLIBSPPC}graphics debug library.o" 
					"{GXGRAPHICSLIBSPPC}transform library.o" 
					"{OBJPPC}graphics shell.o" 
					"{OBJPPC}viewPort Mania (text).o" 

CSYMOPTIONS			= -sym on

#
#	You need to define debugging to enable all of the GX warnings available only in the 
#	debugging version of the QuickDraw GX debugging init. ppcinterfaces is defined to make
#   the GX interface files know that you are using the universal GX PowerPC interface files.
#
COPTIONS 			= -d debugging -d ppcinterfaces {CSYMOPTIONS} -i "{PPCCIncludes}"

PPCSYMOPTIONS		= -sym on

PPCCOPTIONS 		= -d debugging -w conformance -appleext on {PPCSYMOPTIONS}

#------------------------------------------------------------------------------
# These are modified default build rules.  This is so we can automatically 
# build for both 68K and PowerPC.
#------------------------------------------------------------------------------
"{OBJ68K}"					"{SOURCE}"

"{GXGRAPHICSLIBS68K}"		"{GXGRAPHICSLIBS}"

.c.o						.c
	{C} {COptions} {DepDir}{Default}.c -o {TargDir}{Default}.c.o

"{OBJPPC}"					"{SOURCE}"

"{GXGRAPHICSLIBSPPC}"		"{GXGRAPHICSLIBS}"

.o							.c
	PPCC {PPCCOptions} {DepDir}{Default}.c -o {TargDir}{Default}.o

#------------------------------------------------------------------------------

"viewPort Mania FAT"   "{ThisMakeFile}" 'viewPort Mania (text) fat.r'
	Rez 'viewPort Mania (text) fat.r' -append -o "viewPort Mania FAT"

"viewPort Mania FAT"  "{ThisMakeFile}"  {POWERPCOBJECTS}
	PPCLink  {PPCSYMOPTIONS} 
		{POWERPCOBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"QuickDrawGXLib.xcoff 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		-main __start 
		-o "viewPort Mania FAT.xcoff"
	makePEF "viewPort Mania FAT.xcoff" -o "viewPort Mania FAT" 
		-l InterfaceLib.xcoff=InterfaceLib 
		-l QuickDrawGXLib.xcoff=QuickDrawGXLib 
		-l MathLib.xcoff=MathLib 
		-l StdCLib.xcoff=StdCLib 
		-ft APPL -fc '????'
	MakeSYM -i "{GXGRAPHICSLIBS}" "viewPort Mania FAT.xcoff" -o "viewPort Mania FAT.xSYM"

"viewPort Mania FAT"  "{ThisMakeFile}"  {68KOBJECTS}
	Link -t APPL -c '????' {CSYMOPTIONS} -mf 
		{68KOBJECTS} 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		-o "viewPort Mania FAT"
